Package

## Class StreamInformation

-     public class StreamInformation

  Stream information class.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `public final static String` | `KEY_INDEX` |
    `public final static String` | `KEY_TYPE` |
    `public final static String` | `KEY_CODEC` |
    `public final static String` | `KEY_CODEC_LONG` |
    `public final static String` | `KEY_FORMAT` |
    `public final static String` | `KEY_WIDTH` |
    `public final static String` | `KEY_HEIGHT` |
    `public final static String` | `KEY_BIT_RATE` |
    `public final static String` | `KEY_SAMPLE_RATE` |
    `public final static String` | `KEY_SAMPLE_FORMAT` |
    `public final static String` | `KEY_CHANNEL_LAYOUT` |
    `public final static String` | `KEY_SAMPLE_ASPECT_RATIO` |
    `public final static String` | `KEY_DISPLAY_ASPECT_RATIO` |
    `public final static String` | `KEY_AVERAGE_FRAME_RATE` |
    `public final static String` | `KEY_REAL_FRAME_RATE` |
    `public final static String` | `KEY_TIME_BASE` |
    `public final static String` | `KEY_CODEC_TIME_BASE` |
    `public final static String` | `KEY_TAGS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamInformation(JSONObject jsonObject)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getIndex()` | Returns stream index.
    `String` | `getType()` | Returns stream type.
    `String` | `getCodec()` | Returns stream codec.
    `String` | `getCodecLong()` | Returns stream codec in long format.
    `String` | `getFormat()` | Returns stream format.
    `Long` | `getWidth()` | Returns width.
    `Long` | `getHeight()` | Returns height.
    `String` | `getBitrate()` | Returns bitrate.
    `String` | `getSampleRate()` | Returns sample rate.
    `String` | `getSampleFormat()` | Returns sample format.
    `String` | `getChannelLayout()` | Returns channel layout.
    `String` | `getSampleAspectRatio()` | Returns sample aspect ratio.
    `String` | `getDisplayAspectRatio()` | Returns display aspect ratio.
    `String` | `getAverageFrameRate()` | Returns display aspect ratio.
    `String` | `getRealFrameRate()` | Returns real frame rate.
    `String` | `getTimeBase()` | Returns time base.
    `String` | `getCodecTimeBase()` | Returns codec time base.
    `JSONObject` | `getTags()` | Returns all tags.
    `String` | `getStringProperty(String key)` | Returns the stream property associated with the key.
    `Long` | `getNumberProperty(String key)` | Returns the stream property associated with the key.
    `JSONObject` | `getProperty(String key)` | Returns the stream property associated with the key.
    `JSONObject` | `getAllProperties()` | Returns all stream properties defined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamInformation

          StreamInformation(JSONObject jsonObject)

  - ### Method Detail

    - #### getIndex

           Long getIndex()

      Returns stream index.

    - #### getType

           String getType()

      Returns stream type.

    - #### getCodec

           String getCodec()

      Returns stream codec.

    - #### getCodecLong

           String getCodecLong()

      Returns stream codec in long format.

    - #### getFormat

           String getFormat()

      Returns stream format.

    - #### getWidth

           Long getWidth()

      Returns width.

    - #### getHeight

           Long getHeight()

      Returns height.

    - #### getBitrate

           String getBitrate()

      Returns bitrate.

    - #### getSampleRate

           String getSampleRate()

      Returns sample rate.

    - #### getSampleFormat

           String getSampleFormat()

      Returns sample format.

    - #### getChannelLayout

           String getChannelLayout()

      Returns channel layout.

    - #### getSampleAspectRatio

           String getSampleAspectRatio()

      Returns sample aspect ratio.

    - #### getDisplayAspectRatio

           String getDisplayAspectRatio()

      Returns display aspect ratio.

    - #### getAverageFrameRate

           String getAverageFrameRate()

      Returns display aspect ratio.

    - #### getRealFrameRate

           String getRealFrameRate()

      Returns real frame rate.

    - #### getTimeBase

           String getTimeBase()

      Returns time base.

    - #### getCodecTimeBase

           String getCodecTimeBase()

      Returns codec time base.

    - #### getTags

           JSONObject getTags()

      Returns all tags.

    - #### getStringProperty

           String getStringProperty(String key)

      Returns the stream property associated with the key.

      Parameters:
        `key` - property key

    - #### getNumberProperty

           Long getNumberProperty(String key)

      Returns the stream property associated with the key.

      Parameters:
        `key` - property key

    - #### getProperty

           JSONObject getProperty(String key)

      Returns the stream property associated with the key.

      Parameters:
        `key` - property key

    - #### getAllProperties

           JSONObject getAllProperties()

      Returns all stream properties defined.